%global srcname http-client
%global desc Quickly and easily access any RESTful or RESTful-like API.

Name:           python-%{srcname}
Version:        2.1.1
Release:        1%{?dist}
Summary:        HTTP REST client, simplified for Python
License:        MIT
URL:            https://github.com/sendgrid/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch


%description
%{desc}


%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python2-pytest
BuildRequires:  python2-setuptools
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{desc}
This is a Python 2 version of the package.


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}
This is a Python 3 version of the package.


%prep
%autosetup


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
py.test-2 -v
py.test-3 -v


%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.md
%{python2_sitelib}/python_http_client/
%{python2_sitelib}/python_http_client-%{version}-py%{python2_version}.egg-info/


%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/python_http_client/
%{python3_sitelib}/python_http_client-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Jul 18 2016 Dominika Krejci <dkrejci@redhat.com> - 2.1.1-1
- Initial release

